/**
 * Copyright (c) 2008 Washington University School of Medicine
 */
package org.nrg.xnat.tags;

/**
 * Exception indicating that an intended tag label is invalid.
 * @author Kevin A. Archie <karchie@npg.wustl.edu>
 */
public final class InvalidTagLabelException extends TagLabelException {
    private static final long serialVersionUID = 1L;
    
    public InvalidTagLabelException(final String label) {
        super(message(label));
    }
    
    public InvalidTagLabelException(final String label, final Throwable t) {
	super(message(label), t);
    }
    
    private static String message(final String label) {
	return String.format("%s is not a valid tag label", label);
    }
}